import {
	apiResquest
} from '@/utils/lib/request.js'


// 是否填写
export const trainHas = (query) => {
	return apiResquest({
		url: 'v1/train.has',
		method: 'get',
		query: query
	})
}


export const trainSubmit = (query) => {
	return apiResquest({
		url: 'v1/train.submit',
		method: 'post',
		query: query
	})
}


// 分组列表(无需登录)
export const groupList = (query) => {
	return apiResquest({
		url: 'v1/group.list',
		method: 'get',
		query: query
	})
}

// 资源列表(无需登录)
export const assetList = (query) => {
	return apiResquest({
		url: 'v1/asset.list',
		method: 'get',
		query: query
	})
}

// 资源详情接口
export const assetInfo = (query) => {
	return apiResquest({
		url: 'v1/asset.info',
		method: 'get',
		query: query
	})
}


// 轮播图
export const bannerList = (query) => {
	return apiResquest({
		url: 'v1/banner.list',
		method: 'get',
		query: query
	})
}

// 记录列表
export const recordList = (query) => {
	return apiResquest({
		url: 'v1/record.list',
		method: 'get',
		query: query
	})
}



